/*
 Theme Name:   Residem Child
 Theme URI:    https://reactheme.com/products/wordpress/residem
 Description:  Residem Child
 Author:       ReacThemes
 Author URI:   http://reactheme.com
 Template:     residem
 Version:      1.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags: custom-background, custom-logo, custom-menu, featured-images, threaded-comments, translation-ready
 */

 /* ---------- Fonts ---------- */

 /* English Albert sans- for body copy, buttons */
@font-face {
    font-family: AlbertSans-Light;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/AlbertSans-Light.woff") format("woff");
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: AlbertSans-Regular;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/AlbertSans-Regular.woff") format("woff");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: AlbertSans-Medium;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/AlbertSans-Medium.woff") format("woff");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: AlbertSans-SemiBold;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/AlbertSans-SemiBold.woff") format("woff");
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: AlbertSans-Bold;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/AlbertSans-Bold.woff") format("woff");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}


 /* English Nicky sans- for headline sub headline */
@font-face {
    font-family: NickySans-Light;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NickySans-Light.woff2") format("woff2");
}
@font-face {
    font-family: NickySans-Regular;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NickySans-Regular.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: NickySans-Medium;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NickySans-Medium.woff2") format("woff2");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

/* @font-face {
    font-family: "NickySans";
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/AlbertSans-SemiBold.woff") format("woff");
    font-weight: 600;
    font-style: normal;
    font-display: swap;
} */

@font-face {
    font-family: NickySans-Bold;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NickySans-Bold.woff2") format("woff2");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* Hindi Google Sans- headline, sub headline */

@font-face {
    font-family: GoogleSans-Regular;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/GoogleSans-Regular.woff") format("woff");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: GoogleSans-Medium;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/GoogleSans-Medium.woff") format("woff");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: GoogleSans-Bold ;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/GoogleSans-Bold.woff") format("woff");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}
/* Hindi Noto Sans- body copy, buttons */

@font-face {
    font-family: NotoSans-Light ;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NotoSans-Light.woff") format("woff");
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: NotoSans-Medium ;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NotoSans-Medium.woff") format("woff");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: NotoSans-Bold ;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NotoSans-Bold.woff") format("woff");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}
/*  */
@font-face {
    font-family: NotoSans-Regular;
    src: url("https://aarambhhomes.florapreview.com/wp-content/themes/residem-child/font/NotoSans-Regular.woff") format("woff");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* .elementor-4055 .elementor-element.elementor-element-25c0b2f8 .react-heading .rts__section__inner .rts__section__title {
    font-family: GoogleSans !important;
}

.elementor-4055 .elementor-element.elementor-element-b25a854 .react-heading .rts__section__inner .rts__section__title {
    font-family: GoogleSans !important;
}

.rts__section__title{
    font-family: GoogleSans !important;
}
 */

 /* =========================================
   ENGLISH TYPOGRAPHY
   ========================================= */

/* Headlines */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "NickySans-Bold" !important;
}

/* Body Copy */
body,
p,
li,
span,
a {
  font-family: "AlbertSans-Regular" !important;
}

/* Buttons */
button,
input[type="button"],
input[type="submit"],
.wp-block-button__link {
  font-family: "AlbertSans-Medium" !important;
}


/* =========================================
   HINDI TYPOGRAPHY
   ========================================= */

/* Hindi Headings */
:lang(hi) h1,
:lang(hi) h2,
:lang(hi) h3,
:lang(hi) h4,
:lang(hi) h5,
:lang(hi) h6 {
  font-family: "GoogleSans-Bold" !important;
}

/* Hindi Body */
:lang(hi),
:lang(hi) body,
:lang(hi) p,
:lang(hi) li,
:lang(hi) span,
:lang(hi) a {
  font-family: "NotoSans-Regular" !important;
}

/* Hindi Buttons */
:lang(hi) button,
:lang(hi) input[type="button"],
:lang(hi) input[type="submit"],
:lang(hi) .wp-block-button__link {
  font-family: "NotoSans-Medium"  !important;
}